Class Specialization
NonScored SeedSet
SeedSet that uses seeds without scores.

SeedSet

NonScored SeedSet

SeedSet<TPosition, TSeedSpec, TScoringScheme<TQualityFactor, TGapCosts, void>, TSpec>
Include Headers
seqan/seeds.h
Parameters

TPosition | Type that saves the positions and upper/lower bounds. Remarks: Positive and negative values are needed.
TSeedSpec | The Seed specialization.
TScoringScheme | The scoring sheme to use.
TQualityFactor | The quality factor to use.
TGapCosts | The kind of GapCosts to use.

Specialization of
SeedSet
Metafunctions

Iterator | Type of iterator objects that are used to traverse the container. (SeedSet)
Spec | The spec of a class. (SeedSet)
Value | Type of the items in the container. (SeedSet)
Value | Type of the items in the container. (SeedSet)

Member Functions

SeedSet | Constructor (SeedSet)

Functions

addSeed | Adds a seed to an existing set. (SeedSet)
addSeeds | Adds several seeds to an existing set. If a merging or chaining algorithm is used seeds are added if the merging or chaining fails. (SeedSet)
begin | The begin of a container. (SeedSet)
begin | The begin of a container. (SeedSet)
end | The end of a container. (SeedSet)
end | The end of a container. (SeedSet)
maximumDistance | Sets the maximal distance between two seed during a chaining process. (SeedSet)
qualityValue | Sets the minimum length for a seed to be saved permanently. (SeedSet)
setMaximumDistance | Sets the maximal distance between two seed during a chaining process. (SeedSet)
setQualityValue | Sets the minimum length for a seed to be saved permanently. (SeedSet)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51